Bug 1189839 - (CVE-2021-39365) VUL-0: CVE-2021-39365: grilo: missing TLS certificate verification
(CVE-2021-39365)
VUL-0: CVE-2021-39365: grilo: missing TLS certificate verification
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/307800/
CVSSv3.1:SUSE:CVE-2021-39365:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-26 14:26 UTC by Gianluca Gabrielli
Modified: 2021-10-26 06:45 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Gianluca Gabrielli 2021-08-26 14:27:28 UTC
Affected packages:
 - SUSE:SLE-12-SP2:Update/grilo    0.3.2
 - SUSE:SLE-15-SP2:Update/grilo    0.3.12
 - SUSE:SLE-15:Update/grilo        0.3.4
 - openSUSE:Factory/grilo  0.3.13

Upstream patch [0].

[0] https://gitlab.gnome.org/GNOME/grilo/-/commit/cd2472e506dafb1bb8ae510e34ad4797f63e263e
Comment 2 xiaoguang wang 2021-08-31 02:35:35 UTC
SR to GNOME:Factory
https://build.opensuse.org/request/show/914469
Comment 5 xiaoguang wang 2021-09-06 01:23:35 UTC
https://build.suse.de/request/show/249081 to SLE-15
https://build.suse.de/request/show/249082 to SLE-12-SP2
Comment 6 Swamp Workflow Management 2021-09-09 16:35:08 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:3003-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189839
CVE References: CVE-2021-39365
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    grilo-0.3.2-7.3.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    grilo-0.3.2-7.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    grilo-0.3.2-7.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-09-23 13:17:06 UTC
SUSE-SU-2021:3194-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189839
CVE References: CVE-2021-39365
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    grilo-0.3.12-3.3.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    grilo-0.3.12-3.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    grilo-0.3.12-3.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    grilo-0.3.12-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-09-23 13:23:01 UTC
openSUSE-SU-2021:3194-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189839
CVE References: CVE-2021-39365
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    grilo-0.3.12-3.3.1
Comment 9 Swamp Workflow Management 2021-09-28 10:16:57 UTC
openSUSE-SU-2021:1312-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189839
CVE References: CVE-2021-39365
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    grilo-0.3.12-lp152.2.3.1
Comment 10 Swamp Workflow Management 2021-10-06 19:31:44 UTC
SUSE-SU-2021:3295-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189839
CVE References: CVE-2021-39365
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise Server for SAP 15 (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise Server 15-LTSS (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    grilo-0.3.4-3.3.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    grilo-0.3.4-3.3.1
SUSE Enterprise Storage 6 (src):    grilo-0.3.4-3.3.1
SUSE CaaS Platform 4.0 (src):    grilo-0.3.4-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.